/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using FairyGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class CommonBackGroundNestedCtrl : UIController<CommonBackGroundNestedVM>
    {
        protected override void OnEnable(object intent)
        {
            AddUIListenres();
        }
        protected override void OnDisable()
        {
            RemoveUIListenres();
        }
        #region UI事件
        private void AddUIListenres()
        {
            VM.BgCloseBtn.onClick.Add(OnClickBgCloseBtn);

        }
        private void RemoveUIListenres()
        {
            VM.BgCloseBtn.onClick.Remove(OnClickBgCloseBtn);

        }
        private void OnClickBgCloseBtn(EventContext context)
        {
            Context.ClosePanel();
        }

        #endregion
    }
}